package com.sv.dto.api;

import java.io.Serializable;
import java.util.Date;

/**
 * DTO - 场馆课程图片
 *
 * @author lihong
 * @since 2018-08-06
 */
public class VenueLessonImage implements Serializable {


    /**
     * 
     */
    private Integer id;

    /**
     * 课程ID
     */
    private Integer lessonId;

    /**
     * 课程图片
     */
    private String url;

    /**
     * 平台来源ID
     */
    private Integer platformId;

    /**
     * 创建者编号
     */
    private Integer createdId;

    /**
     * 创建者编号
     */
    private Integer modifiedId;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 更新时间
     */
    private Date modifiedTime;

    /**
     * 删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     */
    private Integer deleted;



    /**
     * 设置
     *
     * @param id 
     */
    public void setId(Integer id){
        this.id = id;
    }

    /**
     * 获取
     *
     * @return 
     */
    public Integer getId(){
        return id;
    }


    /**
     * 设置课程ID
     *
     * @param lessonId 课程ID
     */
    public void setLessonId(Integer lessonId){
        this.lessonId = lessonId;
    }

    /**
     * 获取课程ID
     *
     * @return 课程ID
     */
    public Integer getLessonId(){
        return lessonId;
    }


    /**
     * 设置课程图片
     *
     * @param url 课程图片
     */
    public void setUrl(String url){
        this.url = url;
    }

    /**
     * 获取课程图片
     *
     * @return 课程图片
     */
    public String getUrl(){
        return url;
    }


    /**
     * 设置平台来源ID
     *
     * @param platformId 平台来源ID
     */
    public void setPlatformId(Integer platformId){
        this.platformId = platformId;
    }

    /**
     * 获取平台来源ID
     *
     * @return 平台来源ID
     */
    public Integer getPlatformId(){
        return platformId;
    }


    /**
     * 设置创建者编号
     *
     * @param createdId 创建者编号
     */
    public void setCreatedId(Integer createdId){
        this.createdId = createdId;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getCreatedId(){
        return createdId;
    }


    /**
     * 设置创建者编号
     *
     * @param modifiedId 创建者编号
     */
    public void setModifiedId(Integer modifiedId){
        this.modifiedId = modifiedId;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getModifiedId(){
        return modifiedId;
    }


    /**
     * 设置创建时间
     *
     * @param createdTime 创建时间
     */
    public void setCreatedTime(Date createdTime){
        this.createdTime = createdTime;
    }

    /**
     * 获取创建时间
     *
     * @return 创建时间
     */
    public Date getCreatedTime(){
        return createdTime;
    }


    /**
     * 设置更新时间
     *
     * @param modifiedTime 更新时间
     */
    public void setModifiedTime(Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }

    /**
     * 获取更新时间
     *
     * @return 更新时间
     */
    public Date getModifiedTime(){
        return modifiedTime;
    }


    /**
     * 设置删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @param deleted 删除标识位
     */
    public void setDeleted(Integer deleted){
        this.deleted = deleted;
    }

    /**
     * 获取删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @return 删除标识位
     */
    public Integer getDeleted(){
        return deleted;
    }

}